Log4j 1.2.7

## org.apache.log4j.lf5
Class LF5Appender

    java.lang.Object
      |
      +--org.apache.log4j.AppenderSkeleton
            |
            +--org.apache.log4j.lf5.LF5Appender

All Implemented Interfaces:
  Appender, OptionHandler

public class LF5Appender
extends AppenderSkeleton

`LF5Appender` logs events to a swing based logging console. The swing console supports turning categories on and off, multiple detail level views, as well as full text searching and many other capabilties.

Author:
  Brent Sprecher

Field Summary
`protected static org.apache.log4j.lf5.viewer.LogBrokerMonitor` `_defaultLogMonitor`
`protected static AppenderFinalizer` `_finalizer`
`protected org.apache.log4j.lf5.viewer.LogBrokerMonitor` `_logMonitor`

Fields inherited from class org.apache.log4j.AppenderSkeleton
`closed, errorHandler, headFilter, layout, name, tailFilter, threshold`

Constructor Summary
`LF5Appender()` Constructs a `LF5Appender` using the default instance of the `LogBrokerMonitor`.
`LF5Appender(org.apache.log4j.lf5.viewer.LogBrokerMonitor monitor)` Constructs a `LF5Appender`using an instance of a `LogBrokerMonitor`supplied by the user.````

Method Summary
`void` `append(LoggingEvent event)` Appends a `LoggingEvent` record to the `LF5Appender`.
`void` `close()` This method is an empty implementation of the close() method inherited from the `org.apache.log4j.Appender` interface.
`boolean` `equals(LF5Appender compareTo)` The equals method compares two LF5Appenders and determines whether they are equal.
`protected static org.apache.log4j.lf5.viewer.LogBrokerMonitor` `getDefaultInstance()`
`protected static int` `getDefaultMonitorHeight()`
`protected static int` `getDefaultMonitorWidth()`
`org.apache.log4j.lf5.viewer.LogBrokerMonitor` `getLogBrokerMonitor()`
`protected static int` `getScreenHeight()`
`protected static int` `getScreenWidth()`
`static void` `main(String[] args)`
`boolean` `requiresLayout()` Returns a value that indicates whether this appender requires a `Layout`.
`void` `setCallSystemExitOnClose(boolean callSystemExitOnClose)` This method is used to set the property that controls whether the `LogBrokerMonitor` is hidden or closed when a user exits the monitor.
`void` `setMaxNumberOfRecords(int maxNumberOfRecords)`

Methods inherited from class org.apache.log4j.AppenderSkeleton
`activateOptions, addFilter, clearFilters, doAppend, finalize, getErrorHandler, getFilter, getFirstFilter, getLayout, getName, getThreshold, isAsSevereAsThreshold, setErrorHandler, setLayout, setName, setThreshold`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _logMonitor

    protected org.apache.log4j.lf5.viewer.LogBrokerMonitor _logMonitor

### _defaultLogMonitor

    protected static org.apache.log4j.lf5.viewer.LogBrokerMonitor _defaultLogMonitor

### _finalizer

    protected static AppenderFinalizer _finalizer

Constructor Detail

### LF5Appender

    public LF5Appender()

  Constructs a `LF5Appender` using the default instance of the `LogBrokerMonitor`. This constructor should <bold>always </bold> be preferred over the `LF5Appender(LogBrokerMonitor monitor)` constructor, unless you need to spawn additional log monitoring windows.

### LF5Appender

    public LF5Appender(org.apache.log4j.lf5.viewer.LogBrokerMonitor monitor)

  Constructs a `LF5Appender`using an instance of a `LogBrokerMonitor`supplied by the user. This constructor should only be used when you need to spawn additional log monitoring windows.````
  Parameters:
    `monitor` - An instance of a `LogBrokerMonitor`created by the user.``

Method Detail

### append

    public void append(LoggingEvent event)

  Appends a `LoggingEvent` record to the `LF5Appender`.
  Overrides:
    `append` in class `AppenderSkeleton`
  Parameters:
    `event` - The `LoggingEvent` to be appended.

### close

    public void close()

  This method is an empty implementation of the close() method inherited from the `org.apache.log4j.Appender` interface.

### requiresLayout

    public boolean requiresLayout()

  Returns a value that indicates whether this appender requires a `Layout`. This method always returns false. No layout is required for the `LF5Appender`.

### setCallSystemExitOnClose

    public void setCallSystemExitOnClose(boolean callSystemExitOnClose)

  This method is used to set the property that controls whether the `LogBrokerMonitor` is hidden or closed when a user exits the monitor. By default, the `LogBrokerMonitor` will hide itself when the log window is exited, and the swing thread will continue to run in the background. If this property is set to true, the `LogBrokerMonitor` will call System.exit(0) and will shut down swing thread and the virtual machine.
  Parameters:
    `callSystemExitOnClose` - A boolean value indicating whether to call System.exit(0) when closing the log window.

### equals

    public boolean equals(LF5Appender compareTo)

  The equals method compares two LF5Appenders and determines whether they are equal. Two `Appenders` will be considered equal if, and only if, they both contain references to the same `LogBrokerMonitor`.
  Parameters:
    `compareTo` - A boolean value indicating whether the two LF5Appenders are equal.

### getLogBrokerMonitor

    public org.apache.log4j.lf5.viewer.LogBrokerMonitor getLogBrokerMonitor()

### main

    public static void main(String[] args)

### setMaxNumberOfRecords

    public void setMaxNumberOfRecords(int maxNumberOfRecords)

### getDefaultInstance

    protected static org.apache.log4j.lf5.viewer.LogBrokerMonitor getDefaultInstance()

  Returns:
    The default instance of the `LogBrokerMonitor`.

### getScreenWidth

    protected static int getScreenWidth()

  Returns:
    the screen width from Toolkit.getScreenSize() if possible, otherwise returns 800
  See Also:
    `Toolkit`

### getScreenHeight

    protected static int getScreenHeight()

  Returns:
    the screen height from Toolkit.getScreenSize() if possible, otherwise returns 600
  See Also:
    `Toolkit`

### getDefaultMonitorWidth

    protected static int getDefaultMonitorWidth()

### getDefaultMonitorHeight

    protected static int getDefaultMonitorHeight()

Log4j 1.2.7

Copyright 2000-2002 Apache Software Foundation.